%global commit 76ca1a20aa42edb5c65c19029968aad4625790dc
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           vim-rainbow
Version:        3.3.2
Release:        0.4%{?dist}
Summary:        Rainbow Parentheses Improved

License:        Apache-2.0
URL:            https://github.com/luochen1990/rainbow
Source0:        %{url}/archive/%{commit}/rainbow-%{version}-git%{shortcommit}.tar.gz
#Patch0:         vim-rainbow-PR191.patch

# Added metainfo per
# https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_metainfo_xml_file_creation
Source1:        vim-rainbow.metainfo.xml

Requires:       vim-common

# TODO: These are needed by %%transfiletrigger provided by vim-commons,
# not sure how to get rid of these ATM :/
Requires(post): vim
Requires(postun): vim

# Needed for AppData check.
BuildRequires:  libappstream-glib

# Defines %%vimfiles_root
BuildRequires:  vim-filesystem
BuildArch:      noarch

%description
Rainbow Parentheses Improved, shorter code, no level limit, smooth and
fast, powerful configuration.


%prep
%autosetup -p1 -n rainbow


%build
# Nothing to build. We are just copying files to the filesystem


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -ar {autoload,doc,plugin} %{buildroot}%{vimfiles_root}

# Install AppData.
mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}


%check
# Check the AppData add-on to comply with guidelines.
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%doc README.md
%license LICENSE
%doc %{vimfiles_root}/doc/rainbow.txt
%{vimfiles_root}/autoload/rainbow.vim
%{vimfiles_root}/autoload/rainbow_main.vim
%{vimfiles_root}/plugin/rainbow_main.vim
%{_metainfodir}/vim-rainbow.metainfo.xml


%changelog
* Sun Sep 08 2024 Patrick Laimbock <patrick@laimbock.com> - 3.3.2-0.4
- update to git rev 76ca1a20aa42edb5c65c19029968aad4625790dc

* Mon Jun 03 2024 Patrick Laimbock <patrick@laimbock.com> - 3.3.2-0.2
- rebuild for F40

* Mon Apr 17 2023 Patrick Laimbock <patrick@laimbock.com> - 3.3.2-0.1
- initial package
- based on git commit 61f719aebe0dc5c3048330c50db72cfee1afdd34
